<?php
/**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com>
 * @copyright  2007-2018 PrestaShop SA
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class ApiCredential extends ObjectModel
{
    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'kiwiz_api_credential',
        'primary' => 'id_kiwiz_api_credential',
        'multilang' => false,
        'fields' => array(
            'id_shop' => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
            'username' => array('type' => self::TYPE_STRING),
            'password' => array('type' => self::TYPE_STRING),
            'subscription_id' => array('type' => self::TYPE_STRING),
            'token' => array('type' => self::TYPE_STRING),
            'notification_emails' => array('type' => self::TYPE_STRING),
            'date_launch' => array('type' => self::TYPE_STRING),
        )
    );

    /**
     * @var
     */
    public $id_kiwiz_api_credential;

    /**
     * @var
     */
    public $id_shop;

    /**
     * @var
     */
    public $username;

    /**
     * @var
     */
    public $password;

    /**
     * @var
     */
    public $subscription_id;

    /**
     * @var
     */
    public $token;

    /**
     * @var
     */
    public $notification_emails;

    /**
     * @var
     */
    public $date_launch;

    /**
     * FileData constructor.
     * @param integer $id
     * @param integer $id_lang
     */

    public function __construct($id = null, $id_lang = null)
    {
        parent::__construct($id, $id_lang);
    }

    public function getByIdShop()
    {
        $this->id_shop = (int)Context::getContext()->shop->id;
        $sql = "SELECT * FROM " . _DB_PREFIX_ . "kiwiz_api_credential";
        $sql .= " WHERE id_shop = " . $this->id_shop;

        $result = Db::getInstance()->getRow($sql);
        if ($result) {
            $this->id_kiwiz_api_credential = $result['id_kiwiz_api_credential'];
            $this->username = $result['username'];
            $this->password = $result['password'];
            $this->subscription_id = $result['subscription_id'];
            $this->token = $result['token'];
            $this->notification_emails = $result['notification_emails'];
            $this->date_launch = $result['date_launch'];
            $this->id = $result['id_kiwiz_api_credential'];
        }

        return $this;
    }
}
