{*
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2018 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="table-responsive">
    <table class="table" id="documents_table">
        <thead>
        <tr>
            <th>
                <span class="title_box ">{l s='Date' mod='kiwizinvoicehandler'}</span>
            </th>
            <th>
                <span class="title_box ">{l s='Document' mod='kiwizinvoicehandler'}</span>
            </th>
            <th>
                <span class="title_box ">{l s='Number' mod='kiwizinvoicehandler'}</span>
            </th>
            <th>
                <span class="title_box ">{l s='Amount' mod='kiwizinvoicehandler'}</span>
            </th>
            <th>
                <span class="title_box ">{l s='Kiwiz' mod='kiwizinvoicehandler'}</span>
            </th>
            <th>
                <span class="title_box ">{l s='Hashes' mod='kiwizinvoicehandler'}</span>
            </th>
        </tr>
        </thead>
        <tbody>
        {foreach from=$order->getDocuments() item=document}
            {assign var="kiwizData" value= $document->getKiwizData()}

            {if get_class($document) eq 'OrderInvoice'}
                {if isset($document->is_delivery)}
                    <tr id="delivery_{$document->id|escape:'htmlall':'UTF-8'}">
                        {else}
                    <tr id="invoice_{$document->id|escape:'htmlall':'UTF-8'}">
                {/if}
            {elseif get_class($document) eq 'OrderSlip'}
                <tr id="orderslip_{$document->id|escape:'htmlall':'UTF-8'}">
            {/if}
            <td>{dateFormat date=$document->date_add|escape:'htmlall':'UTF-8'}</td>
            <td>
                {if get_class($document) eq 'OrderInvoice'}
                    {if isset($document->is_delivery)}
                        {l s='Delivery slip' mod='kiwizinvoicehandler'}
                    {else}
                        {l s='Invoice' mod='kiwizinvoicehandler'}
                    {/if}
                {elseif get_class($document) eq 'OrderSlip'}
                    {l s='Credit Slip' mod='kiwizinvoicehandler'}
                {/if}
            </td>
            <td>
                {if Configuration::get('KIWIZINVOICEHANDLER_LIVE_MODE') == true}
                    {if get_class($document) eq 'OrderInvoice'}
                        {if isset($document->is_delivery)}
                            <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                               href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateDeliverySlipPDF&amp;id_order_invoice={$document->id|escape:'htmlall':'UTF-8'}">
                                {Configuration::get('PS_DELIVERY_PREFIX', $current_id_lang, null, $order->id_shop)|escape:'htmlall':'UTF-8'}{'%06d'|sprintf:$document->delivery_number|escape:'htmlall':'UTF-8'}
                            </a>
                        {else}
                            {if isset($kiwizData) && $kiwizData}
                                {if $kiwizData->getStatus() == '1'}
                                    <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                                       href="{$link->getAdminLink('AdminKiwiz')|escape:'html':'UTF-8'}&amp;submitAction=generateInvoicePDF&amp;block_hash={$kiwizData->getBlockHash()}&amp;document_id={$document->id}">
                                        {$document->getInvoiceNumberFormatted($current_id_lang, $order->id_shop)|escape:'htmlall':'UTF-8'}
                                    </a>
                                {elseif $kiwizData->getStatus() == '-1'}
                                    <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                                       href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateInvoicePDF&amp;id_order_invoice={$document->id|escape:'htmlall':'UTF-8'}">
                                        {$document->getInvoiceNumberFormatted($current_id_lang, $order->id_shop)|escape:'htmlall':'UTF-8'}
                                    </a>
                                {elseif $kiwizData->getStatus() == '0'}
                                    --
                                {/if}
                            {/if}
                        {/if}
                    {elseif get_class($document) eq 'OrderSlip'}
                        {if isset($kiwizData) && $kiwizData}
                            {if $kiwizData->getStatus() == '1'}
                                <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                                   href="{$link->getAdminLink('AdminKiwiz')|escape:'html':'UTF-8'}&amp;submitAction=generateOrderSlipPdf&amp;block_hash={$kiwizData->getBlockHash()}&amp;document_id={$document->id}">
                                    {Configuration::get('PS_CREDIT_SLIP_PREFIX', $current_id_lang)|escape:'htmlall':'UTF-8'}{'%06d'|sprintf:$document->id|escape:'htmlall':'UTF-8'}
                                </a>
                            {elseif $kiwizData->getStatus() == '-1'}
                                <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                                   href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateOrderSlipPDF&amp;id_order_slip={$document->id|escape:'htmlall':'UTF-8'}">
                                    {Configuration::get('PS_CREDIT_SLIP_PREFIX', $current_id_lang)|escape:'htmlall':'UTF-8'}{'%06d'|sprintf:$document->id|escape:'htmlall':'UTF-8'}
                                </a>
                            {elseif $kiwizData->getStatus() == '0'}
                                --
                            {/if}
                        {/if}
                    {/if}
                {else}
                    {if get_class($document) eq 'OrderInvoice'}
                        {if isset($document->is_delivery)}
                            <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                               href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateDeliverySlipPDF&amp;id_order_invoice={$document->id|escape:'htmlall':'UTF-8'}">
                                {Configuration::get('PS_DELIVERY_PREFIX', $current_id_lang, null, $order->id_shop)|escape:'htmlall':'UTF-8'}{'%06d'|sprintf:$document->delivery_number|escape:'htmlall':'UTF-8'}
                            </a>
                        {else}
                            <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                               href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateInvoicePDF&amp;id_order_invoice={$document->id|escape:'htmlall':'UTF-8'}">
                                {$document->getInvoiceNumberFormatted($current_id_lang, $order->id_shop)|escape:'htmlall':'UTF-8'}
                            </a>
                        {/if}
                    {elseif get_class($document) eq 'OrderSlip'}
                        <a class="_blank" title="{l s='See the document' mod='kiwizinvoicehandler'}"
                           href="{$link->getAdminLink('AdminPdf')|escape:'html':'UTF-8'}&amp;submitAction=generateOrderSlipPDF&amp;id_order_slip={$document->id|escape:'htmlall':'UTF-8'}">
                            {Configuration::get('PS_CREDIT_SLIP_PREFIX', $current_id_lang)|escape:'htmlall':'UTF-8'}{'%06d'|sprintf:$document->id|escape:'htmlall':'UTF-8'}
                        </a>
                    {/if}
                {/if}
            </td>
            <td>
                {if get_class($document) eq 'OrderInvoice'}
                    {if isset($document->is_delivery)}
                        --
                    {else}
                        {displayPrice price=$document->total_paid_tax_incl currency=$currency->id}&nbsp;
                        {if $document->getTotalPaid()}
                            <span>
									{if $document->getRestPaid() > 0}
                                        ({displayPrice price=$document->getRestPaid() currency=$currency->id} {l s='not paid' mod='kiwizinvoicehandler'})
                                    {elseif $document->getRestPaid() < 0}
                                        ({displayPrice price=-$document->getRestPaid() currency=$currency->id} {l s='overpaid' mod='kiwizinvoicehandler'})
                                    {/if}
									</span>
                        {/if}
                    {/if}
                {elseif get_class($document) eq 'OrderSlip'}
                    {displayPrice price=$document->total_products_tax_incl+$document->total_shipping_tax_incl currency=$currency->id}
                {/if}
            </td>
            <td>
                {if Configuration::get('KIWIZINVOICEHANDLER_LIVE_MODE') == true}
                    {if !isset($document->is_delivery)}
                        {if isset($kiwizData) && $kiwizData}
                            {if $kiwizData->getStatus() == '1'}
                                <span style="color: green;">OK</span>
                            {elseif $kiwizData->getStatus() == '0'}
                                <span style="color: crimson;">not certified</span>
                            {elseif $kiwizData->getStatus() == '-1'}
                                <span>--</span>
                            {/if}
                        {else}
                            <span>--</span>
                        {/if}
                    {/if}
                {else}
                    <span>--</span>
                {/if}
            </td>
            <td>
                {if Configuration::get('KIWIZINVOICEHANDLER_LIVE_MODE') == true}
                    {if !isset($document->is_delivery)}
                        {if isset($kiwizData) && $kiwizData}
                            {if $kiwizData->getBlockHash()}
                                File hash
                                <input type="text" value="{$kiwizData->getFileHash()|escape:'htmlall':'UTF-8'}"
                                       disabled>
                                <br>
                                Block hash
                                <input type="text" value="{$kiwizData->getBlockHash()|escape:'htmlall':'UTF-8'}"
                                       disabled>
                            {/if}
                        {/if}
                    {/if}
                {/if}
            </td>
            </tr>
            {foreachelse}
            <tr>
                <td colspan="5" class="list-empty">
                    <div class="list-empty-msg">
                        <i class="icon-warning-sign list-empty-icon"></i>
                        {l s='There is no available document' mod='kiwizinvoicehandler'}
                    </div>
                    {if isset($invoice_management_active) && $invoice_management_active}
                        <a class="btn btn-default"
                           href="{$current_index|escape:'htmlall':'UTF-8'}&amp;viewOrder&amp;submitGenerateInvoice&amp;id_order={$order->id|escape:'htmlall':'UTF-8'}{if isset($smarty.get.token)}&amp;token={$smarty.get.token|escape:'html':'UTF-8'}{/if}">
                            <i class="icon-repeat"></i>
                            {l s='Generate invoice' mod='kiwizinvoicehandler'}
                        </a>
                    {/if}
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>
<style>
    .tooltip {
        width: 100%;
    }
</style>