{*
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2018 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{capture name=path}
    <a href="{$link->getPageLink('my-account', true)|escape:'htmlall':'UTF-8'}">
        {l s='My account' mod='kiwizinvoicehandler'}
    </a>
    <span class="navigation-pipe">{$navigationPipe|escape:'htmlall':'UTF-8'}</span>
    <span class="navigation_page">{l s='Order history' mod='kiwizinvoicehandler'}</span>
{/capture}
{include file="$tpl_dir./errors.tpl"}
<h1 class="page-heading bottom-indent">{l s='Order history' mod='kiwizinvoicehandler'}</h1>
<p class="info-title">{l s='Here are the orders you\'ve placed since your account was created.' mod='kiwizinvoicehandler'}</p>
{if $slowValidation}
    <p class="alert alert-warning">{l s='If you have just placed an order, it may take a few minutes for it to be validated. Please refresh this page if your order is missing.' mod='kiwizinvoicehandler'}</p>
{/if}
<div class="block-center" id="block-history">
    {if $orders && count($orders)}
        <table id="order-list" class="table table-bordered footab">
            <thead>
            <tr>
                <th class="first_item" data-sort-ignore="true">{l s='Order reference' mod='kiwizinvoicehandler'}</th>
                <th class="item">{l s='Date' mod='kiwizinvoicehandler'  }</th>
                <th data-hide="phone" class="item">{l s='Total price' mod='kiwizinvoicehandler'}</th>
                <th data-sort-ignore="true" data-hide="phone,tablet"
                    class="item">{l s='Payment' mod='kiwizinvoicehandler'}</th>
                <th class="item">{l s='Status' mod='kiwizinvoicehandler'}</th>
                <th data-sort-ignore="true" data-hide="phone,tablet"
                    class="item">{l s='Invoice' mod='kiwizinvoicehandler'}</th>
                <th data-sort-ignore="true" data-hide="phone,tablet" class="last_item">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            {foreach from=$orders item=order name=myLoop}
                <tr class="{if $smarty.foreach.myLoop.first}first_item{elseif $smarty.foreach.myLoop.last}last_item{else}item{/if} {if $smarty.foreach.myLoop.index % 2}alternate_item{/if}">
                    <td class="history_link bold">
                        {if isset($order.invoice) && $order.invoice && isset($order.virtual) && $order.virtual}
                            <img class="icon" src="{$img_dir|escape:'htmlall':'UTF-8'}icon/download_product.gif"
                                 alt="{l s='Products to download' mod='kiwizinvoicehandler'}"
                                 title="{l s='Products to download' mod='kiwizinvoicehandler'}"/>
                        {/if}
                        <a class="color-myaccount"
                           href="javascript:showOrder(1, {$order.id_order|intval}, '{$link->getPageLink('order-detail', true, NULL, "id_order={$order.id_order|intval}")|escape:'htmlall':'UTF-8'}');">
                            {Order::getUniqReferenceOf($order.id_order|escape:'htmlall':'UTF-8')}
                        </a>
                    </td>
                    <td data-value="{$order.date_add|regex_replace:"/[\-\:\ ]/":""|escape:'htmlall':'UTF-8'}"
                        class="history_date bold">
                        {dateFormat date=$order.date_add full=0}
                    </td>
                    <td class="history_price" data-value="{$order.total_paid|escape:'htmlall':'UTF-8'}">
							<span class="price">
								{displayPrice price=$order.total_paid currency=$order.id_currency no_utf8=false convert=false}
							</span>
                    </td>
                    <td class="history_method">{$order.payment|escape:'htmlall':'UTF-8'}</td>
                    <td{if isset($order.order_state)} data-value="{$order.id_order_state|escape:'htmlall':'UTF-8'}"{/if}
                            class="history_state">
                        {if isset($order.order_state)}
                            <span class="label{if isset($order.order_state_color) && Tools::getBrightness($order.order_state_color) > 128} dark{/if}"{if isset($order.order_state_color) && $order.order_state_color} style="background-color:{$order.order_state_color|escape:'htmlall':'UTF-8'}; border-color:{$order.order_state_color|escape:'htmlall':'UTF-8'};"{/if}>
									{$order.order_state|escape:'htmlall':'UTF-8'}
								</span>
                        {/if}
                    </td>
                    <td class="history_invoice">
                        {if (isset($order.invoice) && isset($order.invoice_number) && $order.invoice_number) && isset($invoiceAllowed) && $invoiceAllowed == true}
                            {if Configuration::get('KIWIZINVOICEHANDLER_LIVE_MODE') == true}
                                {if isset($order.fileData) && $order.fileData}
                                    {if $order.fileData->getStatus() == '1'}
                                        <a class="link-button"
                                           href="{$link->getBaseLink()|escape:'htmlall':'UTF-8'}kiwizinvoice?submitAction=generateInvoicePdf&amp;block_hash={$order.fileData->block_hash|escape:'htmlall':'UTF-8'}&amp;document_id={$order.invoice_number|escape:'htmlall':'UTF-8'}&amp;customer_id={$customerId|escape:'htmlall':'UTF-8'}"
                                           title="{l s='Invoice' mod='kiwizinvoicehandler'}" target="_blank">
                                            <i class="icon-file-text large"></i>{l s='PDF' mod='kiwizinvoicehandler'}
                                        </a>
                                    {elseif $order.fileData->getStatus() == '-1'}
                                        <a class="link-button"
                                           href="{$link->getPageLink('pdf-invoice', true, NULL, "id_order={$order.id_order}")|escape:'htmlall':'UTF-8'}"
                                           title="{l s='Invoice' mod='kiwizinvoicehandler'}" target="_blank">
                                            <i class="icon-file-text large"></i>{l s='PDF' mod='kiwizinvoicehandler'}
                                        </a>
                                    {elseif $order.fileData->getStatus() == '0'}
                                        -
                                    {/if}
                                {else}
                                    -
                                {/if}
                            {else}
                                <a class="link-button"
                                   href="{$link->getPageLink('pdf-invoice', true, NULL, "id_order={$order.id_order}")|escape:'htmlall':'UTF-8'}"
                                   title="{l s='Invoice' mod='kiwizinvoicehandler'}" target="_blank">
                                    <i class="icon-file-text large"></i>{l s='PDF' mod='kiwizinvoicehandler'}
                                </a>
                            {/if}
                        {/if}
                    </td>
                    <td class="history_detail">
                        <a class="btn btn-default button button-small"
                           href="javascript:showOrder(1, {$order.id_order|intval}, '{$link->getPageLink('order-detail', true, NULL, "id_order={$order.id_order|intval}")|escape:'htmlall':'UTF-8'}');">
								<span>
									{l s='Details' mod='kiwizinvoicehandler'}<i class="icon-chevron-right right"></i>
								</span>
                        </a>
                        {if isset($opc) && $opc}
                        <a class="link-button"
                           href="{$link->getPageLink('order-opc', true, NULL, "submitReorder&id_order={$order.id_order|intval}")|escape:'htmlall':'UTF-8'}"
                           title="{l s='Reorder' mod='kiwizinvoicehandler'}">
                            {else}
                            <a class="link-button"
                               href="{$link->getPageLink('order', true, NULL, "submitReorder&id_order={$order.id_order|intval}")|escape:'htmlall':'UTF-8'}"
                               title="{l s='Reorder' mod='kiwizinvoicehandler'}">
                                {/if}
                                {if isset($reorderingAllowed) && $reorderingAllowed}
                                    <i class="icon-refresh"></i>
                                    {l s='Reorder' mod='kiwizinvoicehandler'}
                                {/if}
                            </a>
                    </td>
                </tr>
            {/foreach}
            </tbody>
        </table>
        <div id="block-order-detail" class="unvisible">&nbsp;</div>
    {else}
        <p class="alert alert-warning">{l s='You have not placed any orders.' mod='kiwizinvoicehandler'}</p>
    {/if}
</div>
<ul class="footer_links clearfix">
    <li>
        <a class="btn btn-default button button-small"
           href="{$link->getPageLink('my-account', true)|escape:'htmlall':'UTF-8'}">
			<span>
				<i class="icon-chevron-left"></i> {l s='Back to Your Account' mod='kiwizinvoicehandler'}
			</span>
        </a>
    </li>
    <li>
        <a c lass="btn btn-default button button-small" href="{$base_dir|escape:'htmlall':'UTF-8'}">
            <span><i class="icon-chevron-left"></i> {l s='Home' mod='kiwizinvoicehandler'}</span>
        </a>
    </li>
</ul>